/*
 * @author lsy
 * @date   2019-09-03
 **/
import 'package:flutter/src/widgets/framework.dart';
import 'package:gmalpha_flutter/UserModel/UserRouter.dart';
import 'package:gmalpha_flutter/UserModel/page/comment/CommentSuggestPage.dart';
import 'package:gmalpha_flutter/UserModel/page/reputation/ReputationsPage.dart';
import 'package:gmalpha_flutter/UserModel/page/userSetting/UserSettingPage.dart';
import 'package:gmalpha_flutter/UserModel/service/remote/entity/UserEntity.user.dart';

class UserRouterImpl implements UserRouter {
  @override
  Widget getUserPage() {}

  @override
  Widget getUserSettingPage(String userID, String refer) {
    return UserSettingPage(userID, refer);
  }

  @override
  Widget getCommentPage(String refer) {
    return CommentSuggestPage(refer);
  }

  @override
  void loginChangeUserID(String userId) {
    UserEntityImpl().saveuserId("");
  }

  @override
  Widget getReputationsPage(int userId, String userName, String fromPage) {
    return ReputationsPage(userId,userName,fromPage);
  }
}
